[3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Liv
Mitglied
Beiträge: 4
Registriert: 28.09.2017 09:44

[3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Liv » 28.09.2017 10:01

Hallo,

ich brauche dringend Hilfe, da ich völlig am verzweifeln bin und nun Panik habe, mein Forum GAR NICHT mehr zum Laufen zu bringen.

Problem ist folgendes:

Ich hatte phpbb 3.2.0 installiert und alles lief prima.
Nun wollte ich 3.2.1 hochladen.
Zur Anleitung habe ich mir genommen:
die deutsche Knowledge Base (das Update von 3.2.0 auf 3.2.1)
ZUSÄTZLICH habe ich mir bei Youtube noch das Video von "Lehring" zur Hilfe genommen.

Ich habe alles wie beschrieben gemacht.
Board deaktiviert, Backup ausgeführt.
Styles und Extentions deaktiviert.
Komplettpacket herunter geladen und entpackt.

Config aus dem neuen Packet heraus gelöscht.
Die Daten im Board gelöscht, außer:
files, images, store, ext und styles (weil ich andere installiert hatte - und bin hier so vorgegangen, wie in dem Lehrlings Tutorial - dass ich also nur Prosilver und all (bei Styles) und bei ext nur den Viglink gelöscht und erneuert habe aus dem neuen Paket).

Dateien habe ich dann hochgeladen (also die neuen).
Ich komme auch auf den install dann.

Habe dann auf Deutsch (du) umgestellt und bin auf aktualisieren gegangen.
So weit, so gut.

NUR:
Ich komme gar nicht bis zu dem Punkt, dass ich die Datenbank aktualisieren kann.

Bei mir erscheint dann bei
"Daten für die Installation erfassen" folgende Fehlermeldung:

WRONG_INFO_FILE_FORMAT
[phpBB Debug] "include(../install/update/index.php): failed to open stream: No such file or directory" in file /customers/d/9/2/schattenweber.org/httpd.www/phpbb/install/module/obtain_data/task/obtain_update_files.php on line 77
[phpBB Debug] "include(): Failed opening '../install/update/index.php' for inclusion (include_path='.:/usr/share/php')" in file /customers/d/9/2/schattenweber.org/httpd.www/phpbb/install/module/obtain_data/task/obtain_update_files.php on line 77

Ich habe mega lange nun rumgegooglet.
Habe auch einen Thread gefunden von jemandem, auf der phpbb.com seite, der das gleiche Problem hatte, aber da gab es irgendwie keine Antwort drauf, die mir jetzt weiter geholfen hätte.

Ich weiß einfach nicht, was der Fehler mir genau sagen will bzw. wo ich überhaupt danach gucken KÖNNTE!!!

Ich habe nun total Angst irgendwie alles Rückgängig zu machen, weil ich die Angst habe, mehr kaputt zu machen, als ich es eh schon getan habe womöglich.

Ich bin in dem Bereich Anfängerin.
Darum habe ich jetzt auch recht lang gewartet, bis ich mich an das Update getraut habe....
Jetzt mit der deutschen Anleitung und den Videos von Lehrling (auf youtube) komme ich bisher echt immer prima zurecht und hatte damit auch den Umstieg von 3.1 auf 3.2 geschafft.
Aber jetzt?????

Was mache ich falsch?
Wo ist mein Fehler????

Könnt ihr mir hier helfen? Oder braucht ihr noch irgendwelche Daten von mir?

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 10929
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Mahony » 28.09.2017 11:22

Hallo
Wie hast du die Update-Seite aufgerufen?
Laut Fehlermeldung, hast du /install/update/index.php aufgerufen. Das führt bei dir zu der Fehlermeldung.
failed to open stream: No such file or directory

Das bedeutet, dass die Datei /install/update/index.php nicht gefunden wird (die gibt es ja auch nicht...zumindest nicht im Komplettpaket).

Du solltest es mit /install/app.php versuchen.

Also <pfad_zum_board>/install/app.php versuchen.

P.S. Ansonsten würde ich die Dateien einfach noch einmal neu hoch laden (im Binär-Modus). Und zwar aus diesem Paket http://downloads.phpbb.de/pakete/deutsc ... eutsch.zip

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Liv
Mitglied
Beiträge: 4
Registriert: 28.09.2017 09:44

Re: [3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Liv » 28.09.2017 11:47

Hallo,

ich habe es sowohl versucht mit:

Pfad zum Board/install

Wie auch mit:

Pfad zum Board/install/app.php

Bei beiden Varianten komme ich dann auch auf den Aktualisierungsmodus, aber bei beiden Varianten erhalte ich genau die gleiche Fehlermeldung.

___

Nun eine vielleicht dumme Frage:

Was heißt im "Binären Modus"?
....

okay, hab grad nachgegooglet und herausgefunden, dass das ein bestimmter Modus für bestimmte Dateien ist zum hochladen von Dateien via FTP.

Ich muss gestehen, dass ich die Dateien nicht via FTP hochgeladen habe, sondern direkt aus dem entpackten Ordner im PC auf den Server. Also in den Filemanager, wo der Hauptordner meines Boards vorhanden ist (versteht man das?).

Wäre es sinnig, alles nochmal zu löschen (also natürlich außer der Config und der Ordner, die eh stehen bleiben sollten) und dann den Rest nochmal via FTP hochzuladen?
Ich könnte dafür ggfls. Filezilla nutzen.
Würde das einen Unteschied machen? Dachte immer, dass FTP zwar schneller geht, aber dadurch mehr Fehler entstehende könnten bei der Übertragung der Daten, wie wenn ich es dann eben direkt in den Filemanager verschiebe (was zwar deutlich länger dauert, aber vielleicht nicht so viele Fehler passieren).

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 10929
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Mahony » 28.09.2017 13:04

Hallo
Liv hat geschrieben:ich habe es sowohl versucht mit:

Pfad zum Board/install

Wie auch mit:

Pfad zum Board/install/app.php

Du hast das falsche Paket verwendet (wie oben bereits von mir angedeutet). Das geht aus der Fehlermeldung hervor (weil eben versucht wird, laut Fehlermeldung, auf die /install/update/index.php zuzugreifen und im Komplettpaket gibt es das Verzeichnis/den Ordner install/update NICHT).

Daher bitte, wie oben bereits geschrieben, das verlinkte Komplettpaket verwenden.

Zuvor bitte ALLE Dateien löschen (also natürlich außer der Config und der Ordner, die eh stehen bleiben sollten) .

Ich könnte dafür ggfls. Filezilla nutzen.

Ja, das wäre Empfehlenswert.

P.S. Zum Thema binärer Upload, lies mal bitte hier Binär (BINARY) != ASCII Was man bei dem Upload des Forums beachten sollte


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Liv
Mitglied
Beiträge: 4
Registriert: 28.09.2017 09:44

Re: [3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Liv » 30.09.2017 14:06

Alsoooo,

ich habe gerade folgendes getan:

Ich habe nochmals das Paket aus dem oben genannten Link herunter geladen und entpackt.
Da in dem Download dann ein (1) vorkam, habe ich bemerkt, dass ich auf alle Fälle das gleiche Paket vorher hatte.


Wie dem auch sei:

Ich habe ALLES gelöscht (außer der Config.php und der Ordner die stehen bleiben sollten).
Anschließend habe ich via FileZilla IM BINÄREN ÜBERTRAGUNGSMODUS die Daten hochgeladen.
Soweit so gut.

Nachdem alles fehlerfrei hochgeladen wurde (Filezilla hat KEINE Fehler angeeigt)
bin ich auf:

Pfad zum Board/install gegangen und dann auf Aktualisieren.
Erneut kam haargenau die gleiche Fehlermeldung, welche ich bereits vorher schon hatte.

Dann habe ich alles geschlossen und habe den Browser erneut geöffnet.

Bin auf
Pfad zum Board/install/app.php gegangen.
Auch darüber komme ich auf die Update Seite.
Soweit ist ja alles in Ordnung.
Gehe auf Aktualisieren und WIEDER die gleiche Fehlermeldung.

Warum nur?????
Was mache ich nur falsch????

Der springt automatisch dann immer, sobald ich auf aktualisieren gehe oben in den Link:

Pfad zum Board/install/app.php/update

Wie kann ich das nur umgehen?

Würde es etwas bringen noch zusätzlich dieses andere Paket herunter zu laden mit den "geänderten Dateien"?
Aber eigentlich macht das ja gar keinen Sinn, da in dem Komplettpaket ja alles enthalten sein sollte.

Wie gesagt:
Ich habe das Komplettpaket verwendet aus dem Link, welcher mit oben genannt wurde.

Liv
Mitglied
Beiträge: 4
Registriert: 28.09.2017 09:44

Re: [3.2] Fehler beim Update auf 3.2.1 bei der Aktualisierung

Beitragvon Liv » 30.09.2017 20:17

Okay, aus welchen Gründen auch immer hat es nun doch irgendwie hingehauen, nachdem ich erst einmal was völlig anderes gemacht habe.
Keine Ahnung warum,...

Er zeigte mir zwar weiterhin etliche Fehler an, die habe ich aber übersprungen und dann konnte ich auch die Datenbank updaten.
Nun sagt mir der ACP dass meine Datenbank-Version auf dem neusten Stand ist.

Habe nun alles wieder aktiviert und scheint alles soweit wieder zu laufen.

Warum auch immer es nunh plötzlich funktionierte, hab ich echt keine Ahnung.

Dennoch danke ich euch für die Hilfe.
Ihr seid echt die Besten, wenn man als Laie mal Probleme hat!


Zurück zu „Support-Forum“